#ifndef _SPI_H_
#define _SPI_H_

#define SPIADP_ACK_OFF			0
#define SPIADP_ACK_RISING_EDGE	1
#define SPIADP_ACK_FALLING_EDGE	2

void Init();
void spi_mode(BYTE bMode);
void spi_speed(BYTE bSpeed);
void spi_ack(BYTE bAckFlg);
void spi_cs(BYTE bFlg);
BYTE spi_get_input_pin(void);
void spi_set_output_pin(BYTE bFlg);
BYTE spi_get_output_pin(void);
BYTE spi_rw(BYTE bLen, BYTE *pbSndDat, BYTE *pbRcvDat);
BYTE spi_rw_single(BYTE bDat);

#endif //SPI_H_
